xcb_sync_query_fence(3)

NAME
xcb_sync_query_fence -

SYNOPSIS
#include <xcb/sync.h>

  Request function

xcb_sync_query_fence_cookie_t xcb_sync_query_fence(xcb_connection_t *conn, xcb_sync_fence_t fence);

  Reply datastructure

typedef struct xcb_sync_query_fence_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint8_t  triggered;
    uint8_t  pad1[23];
} xcb_sync_query_fence_reply_t;

  Reply function

xcb_sync_query_fence_reply_t *xcb_sync_query_fence_reply(xcb_connection_t *conn, xcb_sync_query_fence_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

fence
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_SYNC_QUERY_FENCE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

triggered
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_sync_query_fence_cookie_t. Errors have to be handled when calling the reply function xcb_sync_query_fence_reply. If you want to handle errors in the event loop instead, use xcb_sync_query_fence_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from sync.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.